cURL
curl -X GET "https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/analytics" \
-H "Authorization: Bearer $JOIN_MARKT_API_KEY"const res = await fetch("https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/analytics", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.JOIN_MARKT_API_KEY}`,
},
})
const data = await res.json()import os, requests
res = requests.get(
"https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/analytics",
headers={"Authorization": f"Bearer {os.environ['JOIN_MARKT_API_KEY']}"},
)
data = res.json(){
"revenue": 35187.110000000146,
"revenueChange": 45.0403517709199,
"orders": 158,
"ordersChange": 46.2962962962963,
"customers": 203,
"customersChange": 0
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}Get store totals
Revenue, orders and visitors, as shown on the dashboard home.
Scope: widget:read
GET
/
api
/
merchant
/
v1
/
stores
/
{storeId}
/
analytics
cURL
curl -X GET "https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/analytics" \
-H "Authorization: Bearer $JOIN_MARKT_API_KEY"const res = await fetch("https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/analytics", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.JOIN_MARKT_API_KEY}`,
},
})
const data = await res.json()import os, requests
res = requests.get(
"https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/analytics",
headers={"Authorization": f"Bearer {os.environ['JOIN_MARKT_API_KEY']}"},
)
data = res.json(){
"revenue": 35187.110000000146,
"revenueChange": 45.0403517709199,
"orders": 158,
"ordersChange": 46.2962962962963,
"customers": 203,
"customersChange": 0
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}
